"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const flipper_env_1 = __importDefault(require("./flipper-env"));
const fs_extra_1 = __importDefault(require("fs-extra"));
const path_1 = __importDefault(require("path"));
let baseHash = '';
const tsbuildinfoPath = path_1.default.resolve(__dirname, '..', 'tsconfig.tsbuildinfo');
const packageJsonPath = path_1.default.resolve(__dirname, '..', 'package.json');
if (fs_extra_1.default.pathExistsSync(tsbuildinfoPath)) {
    baseHash = fs_extra_1.default.lstatSync(tsbuildinfoPath).ctime.toUTCString();
}
else if (fs_extra_1.default.pathExistsSync(packageJsonPath)) {
    baseHash = fs_extra_1.default.readJsonSync(packageJsonPath).version;
}
function getCacheKey() {
    return [
        baseHash,
        ...Object.entries(flipper_env_1.default)
            .sort(([name1, _value1], [name2, _value2]) => name1.localeCompare(name2))
            .map(([name, value]) => `${name}=${value}`),
    ].join('|');
}
exports.default = getCacheKey;
//# sourceMappingURL=get-cache-key.js.map